## exult 1.2

=== debian/changelog ===
exult (1.2-18) unstable; urgency=medium

  * debian/control (Build-Depends): Switch from automake1.11 to automake
    (Closes: #865146).
  * debian/rules (AUTOMAKE, ACLOCAL): Removed.

 -- Michael Banck <mbanck@debian.org>  Tue, 01 May 2018 13:26:06 +0200

exult (1.2-17) unstable; urgency=medium

  * Acknowledge NMUs.
  * debian/source/format: Switch to 3.0 (quilt).
  * debian/control (Maintainer, Uploaders): Take over as maintainer.
  * debian/control (Vcs-Git, Vcs-Browser) Updated to salsa.debian.org.
  * debian/control (Build-Depends): Removed quilt.
  * debian/rules: Remove --with-quilt.
  * debian/patches/09_autoconf_debian.patch: New patch, removes debian/Makefile
    from autoconf's AC_OUTPUT.
  * debian/control (Build-Depends): Added dh-autoreconf.
  * debian/rules: Switch to dh_autoreconf and remove manual autoreconf
    invocation from override_dh_auto_configure.
  * debian/exult.install: Remove target directory.
  * debian/rules (override_dh_auto_install): Copy executable to its target
    directory before installing the wrapper script.
  * debian/exult.dirs: New file, creating the /usr/lib/games/exult directory
    where the executable is copied to.

 -- Michael Banck <mbanck@debian.org>  Fri, 27 Apr 2018 19:54:57 +0200

exult (1.2-16.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Allow building with GCC 6 (Closes: #836938).

 -- Stephen Kitt <skitt@debian.org>  Fri, 23 Sep 2016 22:27:00 +0200

exult (1.2-16.1) unstable; urgency=medium

  * Non-maintainer upload.
  * NMU based on git repository
  * Add patch to fix FTBFS for libpng1.6 (Closes: #809894)

 -- Tobias Frost <tobi@debian.org>  Sun, 24 Jan 2016 17:35:39 +0100

exult (1.2-16) UNRELEASED; urgency=medium

  * Standards-Version bumped to 3.9.5.
  * Shorten debian/rules file:
    + Compat level bumped to 9.
    + Depend on debhelper (>= 9).
  * Use canonical Vcs-* fields.
  * debian/patches/06_build-with-libpng1.5.patch: Add short description,
    author, and email.
  * Acknowledge 1.2-15.2 NMU. (Closes: #664226)
  * debian/po:
    + Add Japanese translation (victory). (Closes: #690691)
    + Add Turkish translation (Mert Dirik). (Closes: #757874)
  * debian/source/format: Define source format as 1.0.

 -- Jordà Polo <jorda@ettin.org>  Tue, 18 Mar 2014 19:44:57 +0100

exult (1.2-15.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to automake1.11. (Closes: #741714)

 -- Eric Dorland <eric@debian.org>  Mon, 17 Mar 2014 22:26:48 -0400

exult (1.2-15.2) unstable; urgency=low

  * Non-maintainer upload to help for libpng transition
  * Allow building with libpng 1.5. Thanks to Iwamatsu Nobuhiro
    for the patch. Closes: #649549
  * Build-Depends on libpng-dev. Closes: #662319
  * Lintian cleaning:
    - drop debian/files in clean rule
    - add build-arch and build-indep build rules

 -- Christian Perrier <bubulle@debian.org>  Thu, 15 Mar 2012 22:21:27 +0100

exult (1.2-15.1) unstable; urgency=low

  * Non-maintainer upload to fix l10n and one RC bug
  * Pass -fpermissive to allow conversion from 'const char*' to 'char*'.
    Closes: #653779
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #595628
    - Dutch (Jeroen Schot).  Closes: #654391
    - Polish (Michał Kułach).  Closes: #657628
    - Italian (Francesca Ciceri).  Closes: #658502

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Feb 2012 08:23:57 +0100

exult (1.2-15) unstable; urgency=low

  * Standards-Version bumped to 3.8.4, no changes required.
  * Fix build failure with GCC 4.4, thanks to SevenMachines. (Closes: #563226)

 -- Jordà Polo <jorda@ettin.org>  Mon, 08 Feb 2010 13:31:05 +0100

exult (1.2-14) unstable; urgency=low

  * debian/control:
    + Standards-Version bumped to 3.8.1.
    + Add ${misc:Depends} to exult-studio's Depends.
    + Remove build-dependency on timidity.
  * debian/copyright:
    + Make it clear that this package isn't part of Debian.
    + Use © instead of (C) in copyright notices.
    + Refer to GPL-2, not GPL.
  * Use the LIBS variable in ./configure invocation instead of patching
    configure.ac.
  * Install exult binary in /usr/lib/games/exult.
  * debian/patches:
    + disable_timidity_check: New patch to avoid checking for
      /usr/bin/timidity while building the package.
    + midi_file_path: Use ~/.exult instead of current directory to load midi
      audio.
  * debian/po:
    + Added Galician translation (Marce Villarino). (Closes: #512115)
  * New README.source file to explain how to generate a patched source.
  * debian/man: Use minus instead of hyphen for manpage options.
  * Use `set -e' in the body of maintainer scripts instead of passing -e to
    the #! line.

 -- Jordà Polo <jorda@ettin.org>  Tue, 07 Apr 2009 15:45:02 +0200

exult (1.2-13) unstable; urgency=low

  * debian/exult-studio.menu: Section changed to «Games/Tools».
  * debian/control:
    + Standards-Version bumped to 3.7.3.
    + Add Homepage field and remove it from package descriptions.
    + Add Vcs-Git and Vcs-Browser fields.
  * Move exult-studio binaries and data to /usr/games and /usr/share/games
    respectively.
    + Remove studio_dir.patch.
  * debian/cvs_build: Removed, no longer used.
  * Fix build failure with GCC 4.3 (included in gcc4_build_fix.patch).

 -- Jordà Polo <jorda@ettin.org>  Wed, 30 Jan 2008 09:44:00 +0100

exult (1.2-12) unstable; urgency=low

  * Fixed mixed space/tab indentation in maintainer scritps.
  * Custom manpages moved from «debian» to «debian/man».
  * Moved debhelper compatibility level from DH_COMPAT in «debian/rules»
    to «debian/compat».
  * debian/po:
    + Added Portuguese translation (Luísa Lourenço). (Closes: #415854)
    + Added Spanish translation (Enrique Matías). (Closes: #419218)
    + Updated Russian translation (Yuriy Talakan'). (Closes: #414083)
    + Updated Catalan translation.
  * debian/*.xpm: Icon files are now handled by dh_install.
  * debian/*.dirs: Removed unneeded files.
  * debian/watch: Comments cleanup.



=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_CXXFLAGS_MAINT_APPEND = -fpermissive
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- LIBS="-lX11" \
		--prefix=/usr \
		--bindir=\$${prefix}/games \
		--mandir=\$${prefix}/share/man \
		--datadir=\$${prefix}/share/games \
		--enable-exult-studio \
		--enable-gimp-plugin

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) maintainer-clean
	rm -f data/*flx.h
	rm -f configure config.log config.guess config.sub config.cache libtool \
	      ltmain.sh missing mkinstalldirs install-sh autoconfig.h.in \
	      config.status aclocal.m4
	find . -name Makefile.in -print0 | xargs -0 rm -f
	rm debian/files || true
	rm -f depcomp
	rm -f INSTALL

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_install --fail-missing --sourcedir=$(CURDIR)/debian/tmp
	cp $(CURDIR)/debian/tmp/usr/games/exult \
	   $(CURDIR)/debian/exult/usr/lib/games/exult
	cp $(CURDIR)/debian/exult.wrapper \
	   $(CURDIR)/debian/exult/usr/games/exult

=== debian/watch ===
version=3
http://sf.net/exult/exult-(.*)\.tar\.gz

## exult 1.6

=== docs/xml/Makefile ===
CLASSPATH = xml-apis.jar:xercesImpl.jar:xalan.jar
JAVA = java
INPUT = readme.xml faq.xml
CLASS = org.apache.xalan.xslt.Process

HTML_OBJS := $(patsubst %.xml,%.html,$(wildcard *.xml))
TEXT_OBJS := $(patsubst %.xml,%.txt,$(wildcard *.xml))
PHP_OBJS := $(patsubst %.xml,%.dat,$(wildcard *.xml))

all: html text php ReadMe.html duplicate phpfix

# Rules for transforming the XML source
.xml.html: html.xsl
	$(JAVA) -classpath $(CLASSPATH) $(CLASS) -IN $< -XSL html.xsl -OUT $@
.xml.txt: text.xsl
	$(JAVA) -classpath $(CLASSPATH) $(CLASS) -IN $< -XSL text.xsl -OUT $@
.xml.dat: php.xsl
	$(JAVA) -classpath $(CLASSPATH) $(CLASS) -IN $< -XSL php.xsl -OUT $@
.SUFFIXES: .xml .html .txt .dat

# rule for renaming docs.html to ReadMe.html
ReadMe.html: docs.html
	mv docs.html ReadMe.html

#rule for copying faq.txt, docs.txt to Faq and ReadMe
duplicate: faq.txt docs.txt
	cp faq.txt FAQ
	cp docs.txt README

# rule for stripping the unneded <test> tag from the PHP files
phpfix: docs.dat faq.dat exult_studio.dat
	gsed -i -e 's@<test xmlns="http://www.w3.org/1999/xhtml">@@; s@</test>@@' *.dat

# remove all generated files
clean:
	-rm -f *.html *.txt *.dat FAQ README

html: $(HTML_OBJS)
text: $(TEXT_OBJS)
php: $(PHP_OBJS)

.PHONY: all html text php clean

=== mapedit/tools/mockup/Makefile ===
CC=gcc

all: mockup

mockup: main.c main.h defs.h
	${CC} main.c -o mockup `sdl-config --libs --cflags` -lSDL_image -Wall

## exult 1.2-15-maemo1

=== debian/changelog ===
exult (1.2-15-maemo1) unstable; urgency=low

  * First Maemo 5 build.
  * Changes to mouse events to move most of mouse functionality to left button.
  * Added package for digital audio.
  * Disabled intro in Serpent Isle due to segfaults.

 -- Bundyo <bundyo@gmail.com>  Wed, 07 Jul 2010 09:06:05 +0300

=== debian/control ===
Source: exult
Section: user/games
Priority: extra
Maintainer: Bundyo <bundyo@gmail.com>
Build-Depends: debhelper (>= 5), quilt (>= 0.40), flex, bison,
 libsdl1.2-dev (>= 1.2.7+1.2.8cvs20041007-5.1), libsdl-mixer1.2-dev,
 libx11-dev, libglade2-dev, zlib1g-dev,
 libpng12-dev, autoconf (>= 2.58), automake1.9, libtool, libfreetype6-dev
Standards-Version: 3.8.4
Homepage: http://exult.sourceforge.net/
Vcs-Git: git://git.debian.org/git/users/jorda-guest/pkg/exult.git
Vcs-Browser: http://git.debian.org/?p=users/jorda-guest/pkg/exult.git

Package: exult
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: engine for Ultima VII (BG, FOV, SI, SS)
 Exult is an open source engine for playing Ultima VII on a variety of
 modern operating systems and environments.  The Black Gate (including
 Forge of Virtue) and Serpent Isle (plus Silver Seed) are both playable
 to the end.  Some differences to the original games exist; see sections
 5.3/5.4 of the FAQ.
 .
 While it is possible to use the engine for other games, no such game has
 been written yet. Therefore, Exult is useless unless you own a copy of one
 of the Ultima VIIs.
 .
 The installed Black Gate and Serpent Isle files should go in
 MyDocs/Games/exult/BG/ and MyDocs/Games/exult/SI/ folders.
XSBC-Bugtracker: mailto:bundyo@gmail.com
XB-Maemo-Display-Name: Exult
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAALGP
 C/xhBQAACO9JREFUeJzUWWlMlFkWrQUKUIIgq4qjtrY0ixjE6CguKIoK2oxR
 1AnKdMCeuEYjRkUd3MZ9i/uG2LiM4kK0ETXuG7iLIgrivo6tRo1gRFDunPOS
 MsZ09xRW2VX946aoj1f13fPeveec+5VGRDSWisrKSk1ZWZk2JyfHccmSJW4I
 b4T7/v37Dc+fP9fy/5a8H8NiX1RRUaHNzMy08/f3/1aj0cTr9fpZnp6eu5yc
 nFLxvneNGjWC58+f71BeXm57AEpLS3W9evXyQ6JJgYGBkpSUJOvXr5eTJ0/K
 iRMnZOTIkRIeHi4Gg2F1aGho7cuXL+ttBgB2VNu9e/cAHx+fynXr1qmET506
 JefPn5fc3Fw5ffq0Cl7btm2b1K1b95G3t3f4zZs3dVYHwJqePXu2o06nm5ud
 nS3YWUH9q+TT09Nl0aJFcvHiRQWEwRPhOoC9HBcXV8MSPWHWh4uKiuxR4+G9
 e/eWGzduyPHjx9VOz5gxQ6Kjo6Vr166yatUqOXjwoLpOAHwdPXq0ODg4DAco
 s0/BrA8nJCT4u7i4FDNBJs/d37Jli/Tp00fQwCXoiXxHR8eKMWPGSGFhoRw7
 dkytWbp0qdSqVUsaNmxYG/1jHQBv3rzRenh49B04cKAqD9Y+gaSlpUmDBg3e
 IPktYKIYsM/f7O3tz02bNk3OnDmjgB46dEgiIiJwd0333bt3m9XQX/zBvLw8
 Q7Vq1c4wee4sy4M727dvXyaWZ2dnF7l48WJH/N8BpxTbsWNHVWZHjx5Vaxcs
 WCDVq1fPnDBhgpdVACxfvtyjTZs28uzZM7XzTGzWrFnSpEmTD6DLsdu3b9d/
 +PBBw0BZ4ZIhZ8WKFXL48GG1ltGpU6cSAOtiTjN/8Qexu3USExPl1q1bqiSY
 0K5duwRldTcqKqohkzICePfunQY98SP1Ye/evWptVlaW9OvXr7Jx48aJVjkB
 APAl+7B8mBBrm8mBlfJArS7G5BkE07p16+jhw4erNUeOHJEDBw7IsGHDBJqQ
 /P79e6sA8AoJCRGUimIWAtmwYYOg9lFRB/WfA2jbtm3Y1KlT5ezZs2otSwls
 VQ4A46wCAAbNqU6dOk+4o+R2ltHMmTNpF/Zhh7WfA2jXrl0ElfrKlSvqtEi3
 oNEHABBvFQAQMT2S/Q+AyIULFxSzoLEFtJmPE7D/FACjfv36/9i3b5+cO3dO
 rZ03b56AXs+j6TtYpQcYfn5+PeLj4+Xhw4cfE4NZe49S8fw0eVCpHZQ3686d
 O0ov2DMDBgwg3a4bMmRILasBwM19nJ2dd9y/f1/5H5o2Jta+fftQIwvxFSBd
 GzVq9O7Jkyeq3MhAwcHBbwGgz8aNG+2sBgCNaNBqtXE0bQUFBaqURo0aRZ8z
 B42tIwAYPAOYKZKKzfrnSVGVUX5FuB7w4MEDrdUAMDAHeKCZy9kL9Dtz584V
 1Dv1wA9qrUPz/rVmzZq/kDrxXtjILVq0YPn8lJycbDD3/mYDQPloYSkSp0yZ
 Infv3lU7zBOBD/qXm5ubN15/2rp1q9y7d0+VDwFi968DYPjr16/Nvr9Ji8DX
 3tjJNojvfy3QBz19fX3L9uzZo8ro+vXrQs4HsDzsspSUlChgI0aMkHr16r3E
 7meBrWJ+4/siEK5Xr141qbT+7wJyNKxvKFWXBiwlJUUmTpwoMGEq+LfxPU+B
 oyTFimyzadMmwTCvkp88ebL6PFRa5syZ8zF4IqRUnhrnCEx3PD3/HTt2mNTc
 Jp1AZGSkJ5o1icPJo0ePBBqgori4WDnM27dvq/IhTWJUVNfpka5du/ZxHdfw
 ldfY8Pn5+SouXbqkXmm1yWCYH3bjhNrDGJrUHyYBePz4sQ6uMQjH/pQ3YtJM
 kE1JVV22bJmMHTtWKfHKlSsF1Kiucx1HSv6fTjU1NVV5IF5jEAgbn6+clwMD
 AyuR/M+w3wE4QZPmBJObhQMMarNjq1at1A3pe+hGmzVrVg6WeYrGLMZsXIAE
 Cjt37qz8DkGSOjGRMbFbOMUCUGwRmvshBK8SOqJKiqWGEZRrTgcFBTUDcJOp
 tUodj+mJirqGthgs8gtumINYjBjKY0eCQQAShpJTAFhSaEYFAHU9G/T6LUAG
 YF1brB+EWI7rRRyCYCsu4v0/IYZV0oUqAXj79q0W9iEYSSzBzbbhqONjYmJq
 r1692hG1rUWp8SlF3S5duqgSYl8QwLhx42ibJ/KhFtdQvNCkhvHjx3tgHogD
 oEx8XypO7ruKiooq5VSlxYxXr15pcfSuUFZ3asDn0xRs9l8IgL4IiaoaR6IE
 kPJrrrOsrEwDNnKNjY11hwmssq2oMgAGk/6tMZAAunXrpkSLJo+aQJoFgEm/
 Z5u/dKz8og/9XkAPvunRo4eiRSOASZMmEcC/zfH9fxiAoUOHBmDWVTRJl0ru
 p1BBlReg/P4UAEJIrxQn+h9qwdq1a2neVrKBbRoA67hnz55hAKEUlyxEZc7I
 yBAwTcafAgDELpq+h6VDHaCFgH7wacV+Uq1NA2CA1/9Oz0QVZvIEQfsA9T2F
 mcBivwt8FQAvX77UQtySqcIsHYJgGXGYh43+L8Srmk0DwLTl5OrqWkgLTfok
 CDbyzp07pWXLljJ48GA/S/9OZrEv4m9kMGi+HTp0kBcvXnwEwBPgg6/+/fvz
 kfr3NvkbGSMrK8sZTPMDlFjtOucAIwgG7TKMXvb06dPNnoMtDgD0qIfS9vP3
 91cDDy00aZQ+yAiCpi4qKorTVufNmzdbDIRFvgTsYufl5VXKJxP8nYwixoSN
 IChmDI6cPj4+GdAJF5sCwOkJo2BKWFiYesTO5AmCJ8FS4tg4aNAg9bgFerAM
 Zu8bmwJAD79w4UI3JPejs7PzU1oHDvIEQA3gb8QYRytgJ45zaElISPC2KQAM
 0iMYh0wUimntBRMnANoKJP8Yie+FRoSkpaXpqjq0/CEAjIGG1bu7u6ewYVn/
 nI+58zidH7Kzs/U2qwOfxpo1a1yQ9BQ+A0VJ3QO9xqanpzt8jXt9FQClpaVa
 0KonZgAO/KuaN29e3ZJl89UBMOCHdE2bNm0B8WqXm5trcRdqjP8BAAD//wMA
 lFHKOulmKyUAAAAASUVORK5CYII=


Package: exult-studio
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, exult
Description: Command-line tools for editing and viewing exult games
 Includes:
 .
   expack       - Command line tool for creating and extracting Flex (.flx)
                  files. Flex files are used by Ultima 7 to store most
                  of its data.
   splitshp     - Command line tool to take a multi-frame shp file and
                  split it into its individual frames.
   shp2pcx      - Command line tool to convert shp files to pcx format;
                  the shp files can be extracted using expack.
   ucxt         - Tool to translate usecode back into `human readable',
                  roughly assembly like code. The output can be presented
                  in a variety of different format, including one which
                  will, later, have a suitable compiler back into usecode.
   ucc          - A usecode compiler.
   exult_studio - An editor for games using the Exult engine.
 .
 These are all works in progress.
XSBC-Bugtracker: mailto:bundyo@gmail.com
XB-Maemo-Display-Name: Exult Studio

Package: exult-digital-audio
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, exult
Description: Digital SFX packs and Roland MT-32 recorded music
 These package is optional, the game will run without it.
XSBC-Bugtracker: mailto:bundyo@gmail.com
XB-Maemo-Display-Name: Exult Digital Audio
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAALGP
 C/xhBQAACO9JREFUeJzUWWlMlFkWrQUKUIIgq4qjtrY0ixjE6CguKIoK2oxR
 1AnKdMCeuEYjRkUd3MZ9i/uG2LiM4kK0ETXuG7iLIgrivo6tRo1gRFDunPOS
 MsZ09xRW2VX946aoj1f13fPeveec+5VGRDSWisrKSk1ZWZk2JyfHccmSJW4I
 b4T7/v37Dc+fP9fy/5a8H8NiX1RRUaHNzMy08/f3/1aj0cTr9fpZnp6eu5yc
 nFLxvneNGjWC58+f71BeXm57AEpLS3W9evXyQ6JJgYGBkpSUJOvXr5eTJ0/K
 iRMnZOTIkRIeHi4Gg2F1aGho7cuXL+ttBgB2VNu9e/cAHx+fynXr1qmET506
 JefPn5fc3Fw5ffq0Cl7btm2b1K1b95G3t3f4zZs3dVYHwJqePXu2o06nm5ud
 nS3YWUH9q+TT09Nl0aJFcvHiRQWEwRPhOoC9HBcXV8MSPWHWh4uKiuxR4+G9
 e/eWGzduyPHjx9VOz5gxQ6Kjo6Vr166yatUqOXjwoLpOAHwdPXq0ODg4DAco
 s0/BrA8nJCT4u7i4FDNBJs/d37Jli/Tp00fQwCXoiXxHR8eKMWPGSGFhoRw7
 dkytWbp0qdSqVUsaNmxYG/1jHQBv3rzRenh49B04cKAqD9Y+gaSlpUmDBg3e
 IPktYKIYsM/f7O3tz02bNk3OnDmjgB46dEgiIiJwd0333bt3m9XQX/zBvLw8
 Q7Vq1c4wee4sy4M727dvXyaWZ2dnF7l48WJH/N8BpxTbsWNHVWZHjx5Vaxcs
 WCDVq1fPnDBhgpdVACxfvtyjTZs28uzZM7XzTGzWrFnSpEmTD6DLsdu3b9d/
 +PBBw0BZ4ZIhZ8WKFXL48GG1ltGpU6cSAOtiTjN/8Qexu3USExPl1q1bqiSY
 0K5duwRldTcqKqohkzICePfunQY98SP1Ye/evWptVlaW9OvXr7Jx48aJVjkB
 APAl+7B8mBBrm8mBlfJArS7G5BkE07p16+jhw4erNUeOHJEDBw7IsGHDBJqQ
 /P79e6sA8AoJCRGUimIWAtmwYYOg9lFRB/WfA2jbtm3Y1KlT5ezZs2otSwls
 VQ4A46wCAAbNqU6dOk+4o+R2ltHMmTNpF/Zhh7WfA2jXrl0ElfrKlSvqtEi3
 oNEHABBvFQAQMT2S/Q+AyIULFxSzoLEFtJmPE7D/FACjfv36/9i3b5+cO3dO
 rZ03b56AXs+j6TtYpQcYfn5+PeLj4+Xhw4cfE4NZe49S8fw0eVCpHZQ3686d
 O0ov2DMDBgwg3a4bMmRILasBwM19nJ2dd9y/f1/5H5o2Jta+fftQIwvxFSBd
 GzVq9O7Jkyeq3MhAwcHBbwGgz8aNG+2sBgCNaNBqtXE0bQUFBaqURo0aRZ8z
 B42tIwAYPAOYKZKKzfrnSVGVUX5FuB7w4MEDrdUAMDAHeKCZy9kL9Dtz584V
 1Dv1wA9qrUPz/rVmzZq/kDrxXtjILVq0YPn8lJycbDD3/mYDQPloYSkSp0yZ
 Infv3lU7zBOBD/qXm5ubN15/2rp1q9y7d0+VDwFi968DYPjr16/Nvr9Ji8DX
 3tjJNojvfy3QBz19fX3L9uzZo8ro+vXrQs4HsDzsspSUlChgI0aMkHr16r3E
 7meBrWJ+4/siEK5Xr141qbT+7wJyNKxvKFWXBiwlJUUmTpwoMGEq+LfxPU+B
 oyTFimyzadMmwTCvkp88ebL6PFRa5syZ8zF4IqRUnhrnCEx3PD3/HTt2mNTc
 Jp1AZGSkJ5o1icPJo0ePBBqgori4WDnM27dvq/IhTWJUVNfpka5du/ZxHdfw
 ldfY8Pn5+SouXbqkXmm1yWCYH3bjhNrDGJrUHyYBePz4sQ6uMQjH/pQ3YtJM
 kE1JVV22bJmMHTtWKfHKlSsF1Kiucx1HSv6fTjU1NVV5IF5jEAgbn6+clwMD
 AyuR/M+w3wE4QZPmBJObhQMMarNjq1at1A3pe+hGmzVrVg6WeYrGLMZsXIAE
 Cjt37qz8DkGSOjGRMbFbOMUCUGwRmvshBK8SOqJKiqWGEZRrTgcFBTUDcJOp
 tUodj+mJirqGthgs8gtumINYjBjKY0eCQQAShpJTAFhSaEYFAHU9G/T6LUAG
 YF1brB+EWI7rRRyCYCsu4v0/IYZV0oUqAXj79q0W9iEYSSzBzbbhqONjYmJq
 r1692hG1rUWp8SlF3S5duqgSYl8QwLhx42ibJ/KhFtdQvNCkhvHjx3tgHogD
 oEx8XypO7ruKiooq5VSlxYxXr15pcfSuUFZ3asDn0xRs9l8IgL4IiaoaR6IE
 kPJrrrOsrEwDNnKNjY11hwmssq2oMgAGk/6tMZAAunXrpkSLJo+aQJoFgEm/
 Z5u/dKz8og/9XkAPvunRo4eiRSOASZMmEcC/zfH9fxiAoUOHBmDWVTRJl0ru
 p1BBlReg/P4UAEJIrxQn+h9qwdq1a2neVrKBbRoA67hnz55hAKEUlyxEZc7I
 yBAwTcafAgDELpq+h6VDHaCFgH7wacV+Uq1NA2CA1/9Oz0QVZvIEQfsA9T2F
 mcBivwt8FQAvX77UQtySqcIsHYJgGXGYh43+L8Srmk0DwLTl5OrqWkgLTfok
 CDbyzp07pWXLljJ48GA/S/9OZrEv4m9kMGi+HTp0kBcvXnwEwBPgg6/+/fvz
 kfr3NvkbGSMrK8sZTPMDlFjtOucAIwgG7TKMXvb06dPNnoMtDgD0qIfS9vP3
 91cDDy00aZQ+yAiCpi4qKorTVufNmzdbDIRFvgTsYufl5VXKJxP8nYwixoSN
 IChmDI6cPj4+GdAJF5sCwOkJo2BKWFiYesTO5AmCJ8FS4tg4aNAg9bgFerAM
 Zu8bmwJAD79w4UI3JPejs7PzU1oHDvIEQA3gb8QYRytgJ45zaElISPC2KQAM
 0iMYh0wUimntBRMnANoKJP8Yie+FRoSkpaXpqjq0/CEAjIGG1bu7u6ewYVn/
 nI+58zidH7Kzs/U2qwOfxpo1a1yQ9BQ+A0VJ3QO9xqanpzt8jXt9FQClpaVa
 0KonZgAO/KuaN29e3ZJl89UBMOCHdE2bNm0B8WqXm5trcRdqjP8BAAD//wMA
 lFHKOulmKyUAAAAASUVORK5CYII=

## exult 1.2-15-maemo2

=== debian/changelog ===
exult (1.2-15-maemo2) unstable; urgency=low

  * Drag to move and double click to move to point added.
  * Fixed the default .exult.cfg

 -- Bundyo <bundyo@gmail.com>  Wed, 08 Jul 2010 01:06:05 +0300

=== debian/control ===
--- 
+++ 
@@ -86,6 +86,7 @@
 
 
 Package: exult-studio
+Section: library/games
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}, exult
 Description: Command-line tools for editing and viewing exult games
@@ -113,7 +114,7 @@
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}, exult
 Description: Digital SFX packs and Roland MT-32 recorded music
- These package is optional, the game will run without it.
+ This package is optional, the game will run without it.
 XSBC-Bugtracker: mailto:bundyo@gmail.com
 XB-Maemo-Display-Name: Exult Digital Audio
 XB-Maemo-Icon-26:

=== debian/rules ===
#!/usr/bin/make -f
# Based on the sample rules file written by Joey Hess.
# Modified for Exult by Michael `Wumpus' Zinn <michael.z@acm.org>.
# Modified for Debian by Carlos Laviola <claviola@debian.org>.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  confflags := --build $(DEB_HOST_GNU_TYPE)
else
  confflags := --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
  debug := --enable-debug --disable-sdl-parachute
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
  CXXFLAGS += -O0
else
  CFLAGS += -O2 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon
  CXXFLAGS += -O2 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon
endif

configure: patch configure-stamp
configure-stamp:
	dh_testdir
	ACLOCAL=aclocal-1.9 AUTOMAKE=automake-1.9 autoreconf -f -i -s
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LIBS="-lX11" ./configure \
		$(confflags) $(debug) \
		--prefix=/usr \
		--bindir=\$${prefix}/games \
		--mandir=\$${prefix}/share/man \
		--datadir=\$${prefix}/share/games \
		--enable-exult-studio \
		--disable-timidity
#		--enable-gimp-plugin
	touch configure-stamp

build: configure build-stamp
build-stamp:
	dh_testdir
	$(MAKE) LDFLAGS="-Wl,--as-needed"
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) maintainer-clean
	rm -f data/*flx.h
	rm -f configure config.log config.guess config.sub config.cache libtool \
	      ltmain.sh missing mkinstalldirs install-sh autoconfig.h.in \
	      config.status aclocal.m4
	find . -name Makefile.in -print0 | xargs -0 rm -f
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# install the package into debian/tmp; dh_install then puts the files
	# into debian/exult or debian/exult-studio as required
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_install --fail-missing --sourcedir=$(CURDIR)/debian/tmp
	# handle the exult wrapper
	mv $(CURDIR)/debian/exult/usr/games/exult.wrapper \
	   $(CURDIR)/debian/exult/usr/games/exult

binary-indep:
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_installchangelogs ChangeLog
	dh_installdebconf
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	-maemo-optify
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## exult 1.6

=== debian/changelog ===
exult (1.6-3) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Set DEBUG_FLAGS to -g in order
    to enable debugging, as the build system strips it from the dpkg-buildflags
    provided CXXFLAGS.

 -- Michael Banck <mbanck@debian.org>  Sun, 26 Apr 2020 09:37:09 +0200

exult (1.6-2) unstable; urgency=medium

  * debian/patches/build_fix_narrowing_conversion.patch: New patch, fixes a
    narrowing conversion compile error on architectures where char is unsigned,
    taken from upstream commit 70ce1da4.
  * debian/rules (override_dh_auto_configure): Add --enable-compiler.
  * debian/exult-studio.install: Readd ucc.
  * debian/rules: Enable parallel build.
  * debian/control (exult-studio/Description: Update description of tools.

 -- Michael Banck <mbanck@debian.org>  Sun, 19 Apr 2020 22:10:16 +0200

exult (1.6-1) unstable; urgency=medium

  * New upstream release, changes include:
    + More data from the original has been decoded and thus improved gameplay
      and combat
    + In-game Notebook with support for automatic notes (notes created by
      usecode)
    + Rewrite of the Graphics system to allow switching to full screen on
      modern systems
    + Seperate settings for fullscreen and windowed mode possible
    + Aspect correction is now supported
    + NxBR and HQ3x/HQ4x scalers
    + Shortcut bar with important shortcuts right on top of the screen
    + Option to drop stacks of items without confirmation
    + Some more combat options to make charmed combat more difficult
    + Schedules got a work-over and are more closer to the original but not yet
      perfect
    + NPCs using beds are sleeping better now
    + New shapes for paperdoll
    + Paperdoll support of wearing diapers
    + Better pathfinding when the party boards a barge
    + Cleaned up the code in many places and fixed many compiler warnings
    + Moved hard-coded information to datafiles
    + Greatly improved compiler tools to ease new game development
    + Multi-map support for new games
    + Increased limits on resource sizes (shapes, frames, etc)
    + Tons of work on our map editor Exult Studio and the ability to develop
      new games and mods
    + Fixed most inexplicable crashes
    + Tons of bugfixes
  * debian/patches: Dropped all patches, no longer needed.
  * debian/watch: Rewritten for Github.
  * debian/control (Build-Depends): Removed libsdl1.2-dev/libsdl-mixer1.2-dev,
    added libsdl2-dev, libsdl2-mixer-dev and libvorbis-dev.
  * debian/rules (override_dh_auto_configure): Added --with-desktopdir.
  * debian/exult.install: Updated.
  * debian/exult-studio.install: Removed ucc, added cmanip, mklink, rip and
    wuc. Also install usr/share/games/exult/estudio/new/*.dat files.
  * debian/exult-studio.manpages: Removed ucc manpage.
  * debian/man/ucc.1: Removed.

 -- Michael Banck <mbanck@debian.org>  Fri, 17 Apr 2020 21:13:41 +0200

=== debian/control ===
Source: exult
Section: contrib/games
Priority: extra
Maintainer: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 9),
		autoconf (>= 2.58),
		automake,
		bison,
		dh-autoreconf,
		flex,
		libfreetype6-dev,
		libgimp2.0-dev (>= 2.2.8-11),
		libglade2-dev,
		libpng-dev,
		libsdl2-dev,
		libsdl2-mixer-dev,
		libtool,
		libvorbis-dev,
		libx11-dev,
		zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://exult.sourceforge.net/
Vcs-Git: https://salsa.debian.org/mbanck/exult.git
Vcs-Browser: https://salsa.debian.org/mbanck/exult

Package: exult
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, timidity
Description: engine for Ultima VII (BG, FOV, SI, SS)
 Exult is an open source engine for playing Ultima VII on a variety of
 modern operating systems and environments.  The Black Gate (including
 Forge of Virtue) and Serpent Isle (plus Silver Seed) are both playable
 to the end.  Some differences to the original games exist; see sections
 5.3/5.4 of the FAQ.
 .
 While it is possible to use the engine for other games, no such game has
 been written yet. Therefore, Exult is useless unless you own a copy of one
 of the Ultima VIIs.

Package: exult-studio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, exult
Recommends: gimp
Description: tools for editing and viewing exult games
 Includes:
 .
   exult_studio - An editor for games using the Exult engine.
   ucc          - Usecode compiler.
   cmanip       - Simple commandline conf-file manipulator
   expack       - Command line tool for creating and extracting Flex (.flx)
                  files. Flex files are used by Ultima 7 to store most
                  of its data.
   ipack        - Create/extract image Flex files using the .png format.
   mklink       - Create "linkdep1" and "linkdep2" files from usecode file.
   rip          - Rip specific functions out of usecode.
   splitshp     - Command line tool to take a multi-frame shp file and
                  split it into its individual frames.
   shp2pcx      - Command line tool to convert shp files to pcx format;
                  the shp files can be extracted using expack.
   textpack     - Convert text file to a Flex file.
   ucxt         - Tool to translate usecode back into `human readable',
                  roughly assembly like code. The output can be presented
                  in a variety of different format, including one which
                  will, later, have a suitable compiler back into usecode.
   wuc          - Wody's Usecode Compiler.
 .
 These are all works in progress.
 .
 A GIMP plugin is provided, so that if you have the GIMP installed you
 can edit and create game graphics with it.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_CXXFLAGS_MAINT_APPEND = -fpermissive
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		LIBS="-lX11" \
		DEBUG_FLAGS="-g" \
		--prefix=/usr \
		--bindir=\$${prefix}/games \
		--mandir=\$${prefix}/share/man \
		--datadir=\$${prefix}/share/games \
		--with-desktopdir=\$${prefix}/share/applications \
		--enable-compiler \
		--enable-exult-studio \
		--enable-gimp-plugin

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) maintainer-clean
	rm -f data/*flx.h
	rm -f configure config.log config.guess config.sub config.cache libtool \
	      ltmain.sh missing mkinstalldirs install-sh autoconfig.h.in \
	      config.status aclocal.m4
	find . -name Makefile.in -print0 | xargs -0 rm -f
	rm debian/files || true
	rm -f depcomp
	rm -f INSTALL

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_install --fail-missing --sourcedir=$(CURDIR)/debian/tmp
	cp $(CURDIR)/debian/tmp/usr/games/exult \
	   $(CURDIR)/debian/exult/usr/lib/games/exult
	cp $(CURDIR)/debian/exult.wrapper \
	   $(CURDIR)/debian/exult/usr/games/exult

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/exult-$1\.tar\.gz/ \
  https://github.com/exult/exult/tags .*/v?(\d\S+)\.tar\.gz

## exult 1.8

=== debian/changelog ===
exult (1.8-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:49:20 +1100

exult (1.8-2build2) noble; urgency=medium

  * No-change rebuild against gegl t64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Mar 2024 03:03:38 +0100

exult (1.8-2build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:27:24 +0000

exult (1.8-2) unstable; urgency=medium

  * debian/control (Build-Depends): Replaced libgdk-pixbuf2.0-dev ...
  * debian/control (Build-Depends): ... with libgdk-pixbuf-2.0-dev (Closes:
    #1037371).
  * debian/control (Build-Depends): Removed libgtk2.0-dev, not directly
    needed (see #967333).

 -- Michael Banck <mbanck@debian.org>  Sat, 21 Oct 2023 17:06:06 +0200

exult (1.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/build_fix_narrowing_conversion.patch: Removed, no longer
    needed.
  * debian/exult.docs: Removed README.1ST, it pertains to the 1.0 version.
  * debian/control (Priority): Changed to optional.
  * debian/watch: Updated.
  * debian/control (Build-Depends): Added libasound2-dev, libexiv2-dev,
    libfluidsynth-dev, libgdk-pixbuf2.0-dev, libgtk2.0-dev, libgtk-3-dev,
    libogg-dev, libxml2-dev and timidity, removed libglade2-dev,
    libsdl2-mixer-dev and libx11-dev.
  * debian/rules (override_dh_auto_configure): Do not set LIBS anymore.
  * debian/rules (override_dh_auto_configure): Add several configuration
    options, in line with above Build-Depends additions.
  * debian/exult.install: Removed no longer shipped *.vga files, added add-on
    directories.
  * debian/exult-studio.install: Updated.

 -- Michael Banck <mbanck@debian.org>  Sun, 22 May 2022 08:03:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,28 @@
 Source: exult
 Section: contrib/games
-Priority: extra
-Maintainer: Michael Banck <mbanck@debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Banck <mbanck@debian.org>
 Build-Depends: debhelper (>= 9),
 		autoconf (>= 2.58),
 		automake,
 		bison,
 		dh-autoreconf,
 		flex,
+		libasound2-dev,
+		libexiv2-dev,
+		libfluidsynth-dev,
 		libfreetype6-dev,
+		libgdk-pixbuf-2.0-dev,
 		libgimp2.0-dev (>= 2.2.8-11),
-		libglade2-dev,
+		libgtk-3-dev,
 		libpng-dev,
 		libsdl2-dev,
-		libsdl2-mixer-dev,
 		libtool,
+		libogg-dev,
 		libvorbis-dev,
-		libx11-dev,
+		libxml2-dev,
+		timidity,
 		zlib1g-dev
 Standards-Version: 3.9.5
 Homepage: http://exult.sourceforge.net/

=== debian/rules ===
--- 
+++ 
@@ -9,16 +9,23 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		LIBS="-lX11" \
 		DEBUG_FLAGS="-g" \
 		--prefix=/usr \
 		--bindir=\$${prefix}/games \
 		--mandir=\$${prefix}/share/man \
 		--datadir=\$${prefix}/share/games \
 		--with-desktopdir=\$${prefix}/share/applications \
+		--with-usecode-debugger=yes \
+		--enable-shared \
 		--enable-compiler \
 		--enable-exult-studio \
-		--enable-gimp-plugin
+		--enable-exult-studio-support \
+		--enable-gimp-plugin \
+		--enable-zip-support \
+		--enable-midi-sfx \
+		--enable-gnome-shp-thumbnailer \
+		--enable-data \
+		--enable-mods
 
 override_dh_auto_clean:
 	[ ! -f Makefile ] || $(MAKE) maintainer-clean
@@ -33,7 +40,7 @@
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	dh_install --fail-missing --sourcedir=$(CURDIR)/debian/tmp
+	dh_install --sourcedir=$(CURDIR)/debian/tmp
 	cp $(CURDIR)/debian/tmp/usr/games/exult \
 	   $(CURDIR)/debian/exult/usr/lib/games/exult
 	cp $(CURDIR)/debian/exult.wrapper \

## exult 1.10.1

=== docs/xml/Makefile ===
top_srcdir := ../..
DOCS_DIR := $(top_srcdir)/docs

HTML_OBJS := $(patsubst %.xml,%.html,$(wildcard *.xml))
TEXT_OBJS := $(patsubst %.xml,%.txt,$(wildcard *.xml))
PHP_OBJS := $(patsubst %.xml,%.dat,$(wildcard *.xml))

DOCS_HTMLS := $(DOCS_DIR)/ReadMe.html $(DOCS_DIR)/faq.html $(DOCS_DIR)/exult_studio.html
DOCS_TEXTS := $(DOCS_DIR)/exult_studio.txt
TOP_TEXTS := $(top_srcdir)/FAQ $(top_srcdir)/README

ifdef WEB_DIR
	WEB_TEXTS := $(patsubst %.xml,$(WEB_DIR)/%.txt,$(wildcard *.xml))
	WEB_DATS := $(patsubst %.xml,$(WEB_DIR)/content/%.dat,$(wildcard *.xml))
else
	WEB_TEXTS :=
	WEB_DATS :=
endif

define build_output_files
	xsltproc -o $(1) $(2) $(3)
	sed -i'' 's/[[:blank:]]*$$//' $(1)
endef

define build_php_dats
	xsltproc -o $(1) $(2) $(3)
	sed -i'' -e '1s@<test xmlns="http://www.w3.org/1999/xhtml">@@; $$s@</test>@@ ; s/[[:blank:]]*$$//' $(1)
endef

# Rules for transforming the XML source
%.html: %.xml html.xsl docs.dtd
	$(call build_output_files, $@, html.xsl, $<)

%.txt: %.xml text.xsl docs.dtd
	$(call build_output_files, $@, text.xsl, $<)

%.dat: %.xml php.xsl docs.dtd
	$(call build_php_dats, $@, php.xsl, $<)

.SUFFIXES: .xml .html .txt .dat

all: html text php $(top_srcdir)/FAQ $(top_srcdir)/README $(WEB_TEXTS) $(WEB_DATS)

define update_files_template
$(1): $(2)
	cp $(2) $(1)
endef

ifdef WEB_DIR
$(foreach file, $(TEXT_OBJS), $(eval $(call update_files_template, $(WEB_DIR)/$(file), $(file))))
$(foreach file, $(PHP_OBJS), $(eval $(call update_files_template, $(WEB_DIR)/content/$(file), $(file))))
endif

# Rule for updating files in the docs directory
$(eval $(call update_files_template, $(DOCS_DIR)/ReadMe.html, docs.html))
$(eval $(call update_files_template, $(DOCS_DIR)/faq.html, faq.html))
$(eval $(call update_files_template, $(DOCS_DIR)/exult_studio.html, exult_studio.html))
$(eval $(call update_files_template, $(DOCS_DIR)/exult_studio.txt, exult_studio.txt))

# Rules for updating files in the top directory
$(eval $(call update_files_template, $(top_srcdir)/FAQ, faq.txt))
$(eval $(call update_files_template, $(top_srcdir)/README, docs.txt))

# remove all generated files
clean:
	-rm -f *.html *.txt *.dat

html: $(HTML_OBJS) $(DOCS_HTMLS) $(DOCS_TEXTS)
text: $(TEXT_OBJS) $(TOP_TEXTS)
php: $(PHP_OBJS)

.PHONY: all html text php clean update

=== mapedit/tools/mockup/Makefile ===
CC=gcc

all: mockup

mockup: main.c main.h defs.h
	${CC} main.c -o mockup `pkg-config --libs --cflags sdl2 SDL2_image` -Wall -Wextra

tests: mockup map.png mappings.txt
	./mockup map.png mappings.txt

clean:
	rm -f u7map mockup

=== mapedit/tools/smooth/Makefile ===
CC=gcc

all: smooth libsmooth_randomize.so libsmooth_stream.so libsmooth_smooth.so

smooth: config.c config.h globals.h image.c image.h linked.c linked.h param.c param.h plugin.c plugin.h smooth.c smooth.h
	${CC} -o smooth smooth.c config.c image.c linked.c param.c plugin.c      `pkg-config --libs --cflags sdl2 SDL2_image` -lm -Wall -Wextra

libsmooth_randomize.so: plugins/plugin_randomize.c
	${CC} -o libsmooth_randomize.so plugins/plugin_randomize.c -fPIC -shared `pkg-config --libs --cflags sdl2 SDL2_image` -lm -Wall -Wextra

libsmooth_stream.so: plugins/plugin_stream.c
	${CC} -o libsmooth_stream.so plugins/plugin_stream.c -fPIC -shared       `pkg-config --libs --cflags sdl2 SDL2_image` -lm -Wall -Wextra

libsmooth_smooth.so: plugins/plugin_smooth.c
	${CC} -o libsmooth_smooth.so plugins/plugin_smooth.c -fPIC -shared       `pkg-config --libs --cflags sdl2 SDL2_image` -lm -Wall -Wextra

tests: smooth libsmooth_randomize.so libsmooth_stream.so libsmooth_smooth.so rough.bmp
	LD_LIBRARY_PATH=. ./smooth -d 4

clean:
	rm -f smooth libsmooth_randomize.so libsmooth_stream.so libsmooth_smooth.so

=== android/app/src/main/cpp/dependencies/CMakeLists.txt ===
# Common install directory for dependencies.
set(DEPENDENCIES_INSTALL_DIR "${CMAKE_BINARY_DIR}/dependencies/install")

# Map LLVM triple to the NDK's toolchain prefix triple.
if(${ANDROID_LLVM_TRIPLE} STREQUAL armv7-none-linux-androideabi${ANDROID_NATIVE_API_LEVEL})
    set(TRIPLE armv7a-linux-androideabi${ANDROID_NATIVE_API_LEVEL})
elseif(${ANDROID_LLVM_TRIPLE} STREQUAL aarch64-none-linux-android${ANDROID_NATIVE_API_LEVEL})
    set(TRIPLE aarch64-linux-android${ANDROID_NATIVE_API_LEVEL})
elseif(${ANDROID_LLVM_TRIPLE} STREQUAL i686-none-linux-android${ANDROID_NATIVE_API_LEVEL})
    set(TRIPLE i686-linux-android${ANDROID_NATIVE_API_LEVEL})
elseif(${ANDROID_LLVM_TRIPLE} STREQUAL x86_64-none-linux-android${ANDROID_NATIVE_API_LEVEL})
    set(TRIPLE x86_64-linux-android${ANDROID_NATIVE_API_LEVEL})
else()
    set(TRIPLE ${ANDROID_LLVM_TRIPLE})
endif()

# Build up linker flags to find libraries at build and runtime.
foreach(IMPLICIT_LINK_DIRECTORY ${CMAKE_CXX_IMPLICIT_LINK_DIRECTORIES})
  set(LDFLAGS "${LDFLAGS} -L${IMPLICIT_LINK_DIRECTORY} -Wl,-rpath,${IMPLICIT_LINK_DIRECTORY}")
endforeach()

# Construct a shell script that sets autotools-friendly environment variables for the NDK build.
set(ENVFILE "${CMAKE_CURRENT_BINARY_DIR}/env.sh")
file(WRITE ${ENVFILE} "#!/bin/sh\n")
file(APPEND ${ENVFILE} "export CC=${ANDROID_TOOLCHAIN_ROOT}/bin/${TRIPLE}-clang\n")
file(APPEND ${ENVFILE} "export CXX=${ANDROID_TOOLCHAIN_ROOT}/bin/${TRIPLE}-clang++\n")
file(APPEND ${ENVFILE} "export AR=${ANDROID_TOOLCHAIN_ROOT}/bin/llvm-ar\n")
file(APPEND ${ENVFILE} "export RANLIB=${ANDROID_TOOLCHAIN_ROOT}/bin/llvm-ranlib\n")
file(APPEND ${ENVFILE} "export PKG_CONFIG_PATH=${DEPENDENCIES_INSTALL_DIR}/lib/pkgconfig:$PKG_CONFIG_PATH\n")
file(APPEND ${ENVFILE} "export LDFLAGS=\"${ANDROID_LINKER_FLAGS} ${LDFLAGS}\"\n")

string(TOUPPER ${CMAKE_BUILD_TYPE} BUILD_TYPE)
file(APPEND ${ENVFILE} "export CFLAGS=\"${CMAKE_C_FLAGS_${BUILD_TYPE}}\"\n")
file(APPEND ${ENVFILE} "export CXXFLAGS=\"${CMAKE_CXX_FLAGS_${BUILD_TYPE}}\"\n")

# CMake flags to forward to cmake-based dependency builds
set(DEPENDENCIES_CMAKE_DEFAULT_ARGS
  -DANDROID_ABI:STRING=${ANDROID_ABI}
  -DANDROID_NATIVE_API_LEVEL:STRING=${ANDROID_NATIVE_API_LEVEL}
  -DANDROID_NDK:STRING=${ANDROID_NDK}
  -DANDROID_PLATFORM:STRING=${ANDROID_PLATFORM}
  -DANDROID_STL:STRING=${ANDROID_STL}
  -DANDROID_TOOLCHAIN:STRING=${ANDROID_TOOLCHAIN}
  -DBUILD_SHARED_LIBS:BOOL=${BUILD_SHARED_LIBS}
  -DCMAKE_BUILD_TYPE:STRING=${CMAKE_BUILD_TYPE}
  -DCMAKE_C_COMPILER:STRING=${CMAKE_C_COMPILER}
  -DCMAKE_CXX_COMPILER:STRING=${CMAKE_CXX_COMPILER}
  -DCMAKE_GENERATOR:STRING=${CMAKE_GENERATOR}
  -DCMAKE_MAKE_PROGRAM:FILEPATH=${CMAKE_MAKE_PROGRAM}
  -DCMAKE_TOOLCHAIN_FILE:FILEPATH=${CMAKE_TOOLCHAIN_FILE})

# Get the CPU count to use for parallel builds
include(ProcessorCount)
ProcessorCount(NCPU)

# Pull in dependencies
include(ExternalProject)
add_subdirectory("ogg")
add_subdirectory("vorbis")
add_subdirectory("mt32emu")
add_subdirectory("sdl")
add_subdirectory("exult")

=== android/app/src/main/cpp/dependencies/exult/CMakeLists.txt ===
set(DEPENDENCY exult-${EXULT_VERSION})
include(../build_dependency.cmake)

# Exult depends on SDL and mt32emu
set_target_properties(${DEPENDENCY} PROPERTIES INTERFACE_LINK_LIBRARIES "SDL2;mt32emu")

=== android/app/src/main/cpp/dependencies/mt32emu/CMakeLists.txt ===
set(DEPENDENCY mt32emu)
include(../build_dependency.cmake)

=== android/app/src/main/cpp/dependencies/sdl/CMakeLists.txt ===
set(DEPENDENCY SDL2)
include(../build_dependency.cmake)

# SDL depends on Vorbis
set_target_properties(${DEPENDENCY} PROPERTIES INTERFACE_LINK_LIBRARIES vorbis)

=== debian/changelog ===
exult (1.10.1-3) unstable; urgency=medium

  * debian/control (exult): Add Breaks/Replaces on exult-studio
    (<< 1.10.1-2~) (Closes: #1100145).

 -- Michael Banck <mbanck@debian.org>  Fri, 21 Mar 2025 00:22:20 +0100

exult (1.10.1-2) unstable; urgency=medium

  * Acknowledge NMU.
  * debian/exult-studio.install: Stop shipping u7misc.data and u7opcodes.data,
    those are shipped by exult itself (Closes: #1100145).
  * debian/patches/sifixes_fawn_trial.patch: New patch, fixes a hang in the
    Fawn trial cut-scene, taken from upstream commit d4398abd. 
  * debian/patches/sifixes_npc_topo.patch: New patch, fixes a problem with the
    schedule of NPC Topo, taken from upstream commit 4559cba7.
  * debian/patches/fix_mod_crash.patch: New patch, fixes a crash in the main
    menu when one tries to start a game with the wrong data directory, taken
    from upstream commit 8195259.

 -- Michael Banck <mbanck@debian.org>  Thu, 20 Mar 2025 10:00:18 +0100

exult (1.10.1-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Stop building gimp plugin (Closes: #967333, #1088057)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 05 Dec 2024 17:48:52 -0500

exult (1.10.1-1) unstable; urgency=medium

  * New upstream point release.
  * debian/patches/fix-ftfbs-riscv.patch: Removed, no longer needed.
  * debian/exult.install: Update for new icon/desktop file names.
  * debian/exult-studio.install: Likewise.
  * debian/exult.dirs: Added /usr/games.

 -- Michael Banck <mbanck@debian.org>  Wed, 25 Sep 2024 23:23:43 +0200

exult (1.10-2) unstable; urgency=medium

  * debian/patches/fix-ftfbs-riscv.patch: New patch, fixes compilation on
    risc-v, by Gui-Yue and taken from upstream commit 8029418e (Closes:
    #1081426).

 -- Michael Banck <mbanck@debian.org>  Fri, 13 Sep 2024 09:16:12 +0200

exult (1.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Updated. 
  * debian/control (Build-Depends): Added autoconf-archive.
  * debian/exult.install: Updated.

 -- Michael Banck <mbanck@debian.org>  Mon, 09 Sep 2024 23:47:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: exult
 Section: contrib/games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Banck <mbanck@debian.org>
+Maintainer: Michael Banck <mbanck@debian.org>
 Build-Depends: debhelper (>= 9),
 		autoconf (>= 2.58),
+		autoconf-archive,
 		automake,
 		bison,
 		dh-autoreconf,
@@ -14,7 +14,6 @@
 		libfluidsynth-dev,
 		libfreetype6-dev,
 		libgdk-pixbuf-2.0-dev,
-		libgimp2.0-dev (>= 2.2.8-11),
 		libgtk-3-dev,
 		libpng-dev,
 		libsdl2-dev,
@@ -32,6 +31,8 @@
 Package: exult
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, timidity
+Breaks: exult-studio (<< 1.10.1-2~)
+Replaces: exult-studio (<< 1.10.1-2~)
 Description: engine for Ultima VII (BG, FOV, SI, SS)
  Exult is an open source engine for playing Ultima VII on a variety of
  modern operating systems and environments.  The Black Gate (including

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 		--enable-compiler \
 		--enable-exult-studio \
 		--enable-exult-studio-support \
-		--enable-gimp-plugin \
+		--disable-gimp-plugin \
 		--enable-zip-support \
 		--enable-midi-sfx \
 		--enable-gnome-shp-thumbnailer \

## exult 1.12.0

=== android/app/src/main/cpp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project("ExultAndroidWrapper")

add_library( exult-android-wrapper
             SHARED

             exult_android_main.cc
             android_log_streambuf.cc )

add_subdirectory("dependencies")

find_library( log-lib log )

target_link_libraries( exult-android-wrapper
                       ${log-lib}
                       exult-${EXULT_VERSION} )

=== android/app/src/main/cpp/dependencies/CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 file(APPEND ${ENVFILE} "export AR=${ANDROID_TOOLCHAIN_ROOT}/bin/llvm-ar\n")
 file(APPEND ${ENVFILE} "export RANLIB=${ANDROID_TOOLCHAIN_ROOT}/bin/llvm-ranlib\n")
 file(APPEND ${ENVFILE} "export PKG_CONFIG_PATH=${DEPENDENCIES_INSTALL_DIR}/lib/pkgconfig:$PKG_CONFIG_PATH\n")
-file(APPEND ${ENVFILE} "export LDFLAGS=\"${ANDROID_LINKER_FLAGS} ${LDFLAGS}\"\n")
+file(APPEND ${ENVFILE} "export LDFLAGS=\"${ANDROID_LINKER_FLAGS} ${LDFLAGS} $($CC -print-libgcc-file-name)\"\n")
 
 string(TOUPPER ${CMAKE_BUILD_TYPE} BUILD_TYPE)
 file(APPEND ${ENVFILE} "export CFLAGS=\"${CMAKE_C_FLAGS_${BUILD_TYPE}}\"\n")
@@ -55,8 +55,10 @@
 
 # Pull in dependencies
 include(ExternalProject)
+add_subdirectory("fluidlite")
 add_subdirectory("ogg")
 add_subdirectory("vorbis")
+#add_subdirectory("fluidsynth")
 add_subdirectory("mt32emu")
 add_subdirectory("sdl")
 add_subdirectory("exult")

=== android/app/src/main/cpp/dependencies/fluidlite/CMakeLists.txt ===
set(DEPENDENCY fluidlite)
include(../build_dependency.cmake)

# FluidLite depends on Ogg and vorbis (only if SF3 support is enabled which it isn't for now)
set_target_properties(${DEPENDENCY} PROPERTIES INTERFACE_LINK_LIBRARIES "ogg;vorbis")

=== android/app/src/main/cpp/dependencies/ogg/CMakeLists.txt ===
set(DEPENDENCY ogg)
include(../build_dependency.cmake)

=== android/app/src/main/cpp/dependencies/vorbis/CMakeLists.txt ===
set(DEPENDENCY vorbis)
include(../build_dependency.cmake)

# Vorbis builds/uses a second vorbisfile library
add_library(vorbisfile SHARED IMPORTED GLOBAL)
set_target_properties(
  vorbisfile PROPERTIES
  IMPORTED_LOCATION ${DEPENDENCIES_INSTALL_DIR}/lib/libvorbisfile.so
)
set_target_properties(
  vorbisfile PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES ${DEPENDENCIES_INSTALL_DIR}/include
)

# Vorbis depends on Ogg and vorbisfile
set_target_properties(${DEPENDENCY} PROPERTIES INTERFACE_LINK_LIBRARIES "ogg;vorbisfile")

=== debian/changelog ===
exult (1.12.0-2) unstable; urgency=medium

  * debian/exult.install, debian/exult-studio.install: Explicitly install the
    respective .svg icon file without wildcards.
  * debian/control (exult): Update Breaks/Replaces on exult-studio to
    (<< 1.12.0-1~) (Closes: #1106599).

 -- Michael Banck <mbanck@debian.org>  Wed, 04 Jun 2025 23:11:35 +0200

exult (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Homepage): Updated. 
  * debian/patches/sifixes_fawn_trial.patch: Removed, applied upstream.
  * debian/patches/sifixes_npc_topo.patch: Likewise.
  * debian/patches/fix_mod_crash.patch: Likewise.
  * debian/rules (override_dh_auto_configure): Updated configure flag from
    --enable-gnome-shp-thumbnailer to --enable-shp-thumbnailer.
  * debian/exult-studio.install: Updated.
  * debian/exult.install: Likewise.

 -- Michael Banck <mbanck@debian.org>  Sat, 24 May 2025 14:20:43 +0200

=== debian/control ===
--- 
+++ 
@@ -24,15 +24,15 @@
 		timidity,
 		zlib1g-dev
 Standards-Version: 3.9.5
-Homepage: http://exult.sourceforge.net/
+Homepage: http://exult.sourceforge.io
 Vcs-Git: https://salsa.debian.org/mbanck/exult.git
 Vcs-Browser: https://salsa.debian.org/mbanck/exult
 
 Package: exult
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, timidity
-Breaks: exult-studio (<< 1.10.1-2~)
-Replaces: exult-studio (<< 1.10.1-2~)
+Breaks: exult-studio (<< 1.12.0-1~)
+Replaces: exult-studio (<< 1.12.0-1~)
 Description: engine for Ultima VII (BG, FOV, SI, SS)
  Exult is an open source engine for playing Ultima VII on a variety of
  modern operating systems and environments.  The Black Gate (including

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 		--disable-gimp-plugin \
 		--enable-zip-support \
 		--enable-midi-sfx \
-		--enable-gnome-shp-thumbnailer \
+		--enable-shp-thumbnailer \
 		--enable-data \
 		--enable-mods

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/exult/exult/releases?per_page=500 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
